cURL
curl --request POST \
--url https://gateway.amana.io/payments/client/gate-to-pay/otp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"currency": "<string>",
"cardId": "<string>",
"cardExpiryDate": "<string>"
}
'import requests
url = "https://gateway.amana.io/payments/client/gate-to-pay/otp"
payload = {
"amount": 123,
"currency": "<string>",
"cardId": "<string>",
"cardExpiryDate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
currency: '<string>',
cardId: '<string>',
cardExpiryDate: '<string>'
})
};
fetch('https://gateway.amana.io/payments/client/gate-to-pay/otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"transactionId": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}payments
Post paymentsclientgate to payotp
POST
/
payments
/
client
/
gate-to-pay
/
otp
cURL
Authorizations
JWT token obtained from authentication endpoints
Body
application/json
Last modified on October 7, 2026
